Bug 171182 - Manifest file not created properly
Manifest file not created properly
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
: PERFORMANCE, REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-31 15:19 UTC by luky
Modified: 2009-09-03 08:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description luky 2009-08-31 15:19:42 UTC
NB version:  NetBeans IDE Dev (Build 200908270201)

Custom attributes from manifest.mf are not populated into jar.
My project manifest file has this contents:
Manifest-Version: 1.0
Premain-Class: com.sun.javafx.tools.fxd.viewer.premain.Premain


in jar however I can see this manifest:
Manifest-Version: 1.0
Ant-Version: Apache Ant 1.7.1
Created-By: 14.2-b01 (Sun Microsystems Inc.)
Comment 1 Tomas Zezula 2009-08-31 19:13:57 UTC
Thanks for report.
It's even bigger problem. The jar is created with correct manifest and then rewritten by a new jar without manifest. In addition to losing the manifest entries 
the jar is created twice.
Comment 2 Tomas Zezula 2009-09-01 12:55:35 UTC
fixed in jet-main: 632b7153604d
Comment 3 Tomas Zezula 2009-09-01 13:27:41 UTC
fixed in jet-main: 632b7153604d
Comment 4 Quality Engineering 2009-09-03 08:43:26 UTC
Integrated into 'main-golden', will be available in build *200909021401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/632b7153604d
User: Tomas Zezula <tzezula@netbeans.org>
Log: #171182:Manifest file not created properly


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo